×

Discussion Board

Results 1 to 8 of 8
  1. #1
    Registered User
    Join Date
    Oct 2007
    Posts
    1

    Can not run s60 emulator with eclipseME

    Hi!!

    I´ve been trying to run a very simple HelloWorld Midlet in the S60 3rd Edition FP1 SDK for MIDP instance 2 emulator, it worked perfectly with the s40 one but now it gets stucked in the jar creation step and the console shows the next error message:

    Jar file could not be initialized
    Caught exception:
    java.util.zip.ZipException: invalid entry compressed size (expected 1086 but got 1089 bytes).
    at java.util.zip.Z¡pOutputStream.closeEntry(UnknownSource).
    ...
    ...


    I´ve been looking in some forums and some say that the problem is in the anti-virus :S. But i have disconnected it and doesn´t work.
    I´m really desperate with this problem.... Can someone help me???

  2. #2
    Registered User
    Join Date
    Apr 2005
    Posts
    1

    Re: Can not run s60 emulator with eclipseME

    I also run into the same problem, have you find the solution yet?

    Thank you.

  3. #3
    Registered User
    Join Date
    Feb 2007
    Posts
    43

    Re: Can not run s60 emulator with eclipseME

    I also got this crazy issue, it always said that:

    Jar file could not be initialized
    Caught exception:
    java.util.zip.ZipException: invalid entry compressed size (expected 1086 but got 1089 bytes).

    expected some size bites but got some bigger size bites.

    When I use SUN WTK emulator I don't get this problem, too.

  4. #4
    Registered User
    Join Date
    Nov 2007
    Posts
    2

    Re: Can not run s60 emulator with eclipseME

    Hi ,

    I have same problem .

    We need Nokia support !!!!!!

    Regards

    Brabru

  5. #5
    Regular Contributor
    Join Date
    Aug 2005
    Posts
    192

    Re: Can not run s60 emulator with eclipseME

    There is a hack to get around this:
    http://www.mail-archive.com/eclipsem.../msg00733.html

  6. #6
    Registered User
    Join Date
    Feb 2008
    Posts
    1

    Re: Can not run s60 emulator with eclipseME

    I got the same problem!
    how to fix this?

  7. #7
    Registered User
    Join Date
    Jan 2008
    Posts
    9

    Re: Can not run s60 emulator with eclipseME

    Quote Originally Posted by fivestar123 View Post
    I got the same problem!
    how to fix this?
    Yeah, me too

    Here's another thread with links to more stuff to try:
    http://discussion.forum.nokia.com/fo...d.php?t=127274


    I've tried it all and it still doesn't work for me.
    Using the JAD URL option in the debug options without the file:/ at the beginning just results in an IllegalArgumentException saying that HelloWorld.jar is not a jar file when I start the debugger from the toolbar.

  8. #8
    Registered User
    Join Date
    Nov 2006
    Posts
    568

    Re: Can not run s60 emulator with eclipseME


Similar Threads

  1. ANN: Accredited S60 Developer Program
    By Nokia Ron in forum Feedback - Nokia Developer Services & Infrastructure
    Replies: 3
    Last Post: 2012-03-26, 22:33
  2. How to run OnDo SIP server with S60 emulator(3rd edition)
    By manasglobal1 in forum Symbian Networking & Messaging (Closed)
    Replies: 1
    Last Post: 2007-12-04, 12:26
  3. how can i run a command on S60
    By hissein in forum Mobile Java General
    Replies: 7
    Last Post: 2007-09-21, 19:14
  4. Installing S60 SDK in F driver, I can not run cmd "abld build"
    By runforu in forum Tools and SDK Feedback (Closed)
    Replies: 3
    Last Post: 2007-07-11, 15:28
  5. can't Run S60 Developer tools in eclipse
    By squarefw in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2005-10-13, 23:59

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×